# Въведение

* Нова архитектура
* PSR-2 съвместими
* Подобрена производителност
* Минимално изисква PHP 5.3.3
* Управление на пакети
* EventManager
* Ново ядро

## Нова архитектура

* MVC
* Dependency Injection (Di)
* Events
* Services
* Модули

## Съвместим с PSR-2

* The Framework Interoperability Group
    * Представители на различни проекти, чиято цел да улеснят преизползването на различни компоненти
* PSR-0: *Autoloader Standard*
    * Препоръчителни изисквания, за autoloading на различни библиотеки
* PSR-1: *Basic Coding Standard*
    * `<?php` и `<?=` тагове
    * UTF-8 без BOM
    * Имена на класове (*StudlyCaps*)
    * Имена на методи (*camelCase*)
    * Класови константи в горен регистър
* PSR-2: *Coding Style Guide*
    * Единна препоръка за еднотипно форматиране на кода \([Връзка]:(https://github.com/php-fig/fig-standards/blob/master/accepted/PSR-2-coding-style-guide.md)\)
* PSR-3: *Logger Interface*
    * Описва общ Logging интерфейс, който използва 8-те Syslog нива от [Syslog Protocol - RFC 5424]:(http://tools.ietf.org/html/rfc5424)
        * debug, info, notice, warning, error, critical, alert, emergency
